Page MenuHomePhabricator

Split up language reportcard queries, data files, and graphs
Closed, ResolvedPublic

Description

The language reportcard relies on data gathering from the user properties table. If not gathered daily, this data is effectively "erased" because it's just a state storage and doesn't show changes over time. The recent changes to the query and datafile have created a join over more than 61 tables, which exceeds the MariaDB limit. So I have to split up the query, data files, and graphs, as well as update the manual cron job that gathers the data. Otherwise data would be lost. Using priority "Unbreak Now" to signify this urgency.

Event Timeline

Milimetric claimed this task.
Milimetric raised the priority of this task from to Unbreak Now!.
Milimetric updated the task description. (Show Details)
Milimetric added a project: Analytics-Kanban.
Milimetric added subscribers: Milimetric, KartikMistry.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2015, 9:55 PM

Change 209666 had a related patch set uploaded (by Milimetric):
Split up queries to avoid MariaDB limit

https://gerrit.wikimedia.org/r/209666

Change 209666 merged by Milimetric:
Split up queries to avoid MariaDB limit

https://gerrit.wikimedia.org/r/209666

Change 209667 had a related patch set uploaded (by Milimetric):
Split up queries to avoid MariaDB limit

https://gerrit.wikimedia.org/r/209667

Change 209667 merged by Milimetric:
Split up queries to avoid MariaDB limit

https://gerrit.wikimedia.org/r/209667

Milimetric closed this task as Resolved.May 8 2015, 1:34 PM

Looks like the graphs are both updating again: http://language-reportcard.wmflabs.org/

The data between April 30 to May 8 is lost, sadly, but things should be back to normal now.

kevinator moved this task from Next Up to Done on the Analytics-Kanban board.May 19 2015, 7:35 PM